import { defineStore } from 'pinia'
import useUserStore from 'mocp/store/user'

const useInforDisclosureStore = defineStore('supportedTask', {
    state: () => {
        return {
            searchData: {}
        }
    },
    getters: {},
    actions: {
        resetForm () {
            const userStore = useUserStore()
            this.searchData.userId = userStore.userInfo.id
        },
        setState (...args) {
            this.$patch({[args[0]]: args[1]})
        }
    },
    // 配置持久化
    persist: false
})
export default useInforDisclosureStore
